#ifndef  __CONFIG_H__
#define  __CONFIG_H__

#define WINDOW_NAME "Object tracker"
#define MAX_FEATURE_POINTS 500
#define MAX_TRACKING_OBJECTS 20
#define FRAME_WAIT_TIME 10 // in milliseconds
#define WRITE_VIDEO // uncomment to output video to output.avi

////// variables for segmentation ///////////////
// 1 = maximum blur, 0 = minimum blur
#define GAUSSIAN_BLUR 0.5
// this value decides how large the components will get
// the higher, the fewer but larger components, default =300
#define SEGMENTATION_THRESHOLD 300.f
// merge all components smaller than this amount of pixels
#define SEGMENTATION_MIN_COMPONENT_SIZE 20


////// variables for optical flow //////////////
// search in this neighborhood for the best flow of a point
#define FLOW_WIN_SIZE 5
#define FLOW_MAX_ERROR 100


// status values for optical flow
// note that values between FLOW_STATUS_ESTIMATED and FLOW_STATUS_LOST also mean
// that those features are estimated, the higher the value, the more often it already has
// been estimated (means, it is a bad feature point)
#define FLOW_STATUS_NOT_OK 0
#define FLOW_STATUS_OK 1
#define FLOW_STATUS_ESTIMATED 2
#define FLOW_STATUS_LOST 20


#endif  /*__CONFIG_H__*/
